Developer Documentation

Public Member Functions | List of all members
OpenMesh::SmartVertexHandle Struct Reference

Smart version of VertexHandle contains a pointer to the corresponding mesh and allows easier access to navigation methods. More...

`#include <OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/Mesh/SmartHandles.hh>`

Inheritance diagram for OpenMesh::SmartVertexHandle:

## Public Member Functions
| SmartVertexHandle (int _idx=-1, const PolyConnectivity *_mesh=nullptr)
SmartHalfedgeHandle | out () const
| Returns an outgoing halfedge.
SmartHalfedgeHandle | halfedge () const
| Returns an outgoing halfedge.
SmartHalfedgeHandle | in () const
| Returns an incoming halfedge.
PolyConnectivity::ConstVertexFaceRange | faces () const
| Returns a range of faces incident to the vertex (PolyConnectivity::vf_range())
PolyConnectivity::ConstVertexEdgeRange | edges () const
| Returns a range of edges incident to the vertex (PolyConnectivity::ve_range())
PolyConnectivity::ConstVertexVertexRange | vertices () const
| Returns a range of vertices adjacent to the vertex (PolyConnectivity::vv_range())
PolyConnectivity::ConstVertexIHalfedgeRange | incoming_halfedges () const
| Returns a range of outgoing halfedges incident to the vertex (PolyConnectivity::voh_range())
PolyConnectivity::ConstVertexOHalfedgeRange | outgoing_halfedges () const
| Returns a range of incoming halfedges incident to the vertex (PolyConnectivity::vih_range())
uint | valence () const
| Returns valence of the vertex.
bool | is_boundary () const
| Returns true iff the vertex is incident to a boundary halfedge.
bool | is_manifold () const
| Returns true iff (the mesh at) the vertex is two-manifold ?
Public Member Functions inherited from OpenMesh::SmartBaseHandle
| SmartBaseHandle (const PolyConnectivity *_mesh=nullptr)
const PolyConnectivity * | mesh () const
| Get the underlying mesh of this handle.
Public Member Functions inherited from OpenMesh::VertexHandle
| VertexHandle (int _idx=-1)
Public Member Functions inherited from OpenMesh::BaseHandle
| BaseHandle (int _idx=-1)
int | idx () const
| Get the underlying index of this handle.
bool | is_valid () const
| The handle is valid iff the index is not negative.
void | reset ()
| reset handle to be invalid
void | invalidate ()
| reset handle to be invalid
bool | operator== (const BaseHandle &_rhs) const
bool | operator!= (const BaseHandle &_rhs) const
bool | operator< (const BaseHandle &_rhs) const
void | __increment ()
void | __decrement ()
void | __increment (int amount)
void | __decrement (int amount)

## Detailed Description

Smart version of VertexHandle contains a pointer to the corresponding mesh and allows easier access to navigation methods.

Definition at line 84 of file SmartHandles.hh.

The documentation for this struct was generated from the following files:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/Mesh/SmartHandles.hh
- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/Mesh/SmartHandles.cc